Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1787)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1788)
@@ -1363,6 +1372,6 @@
           vg(nzt+1) = vg_surface
           DO  k = nzt, nzb, -1
-             IF ( i < 11 ) THEN
-                IF ( vg_vertical_gradient_level(i) > zu(k)  .AND. &
+             IF ( i < 11 )  THEN
+                IF ( vg_vertical_gradient_level(i) > zu(k)  .AND.              &
                      vg_vertical_gradient_level(i) <= 0.0_wp )  THEN
                    gradient = vg_vertical_gradient(i) / 100.0_wp
@@ -1415,5 +1424,5 @@
 
              IF ( kk < 100 )  THEN
-                DO WHILE ( uv_heights(kk+1) <= zu(k) )
+                DO  WHILE ( uv_heights(kk+1) <= zu(k) )
                    kk = kk + 1
                    IF ( kk == 100 )  EXIT
@@ -1421,5 +1430,5 @@
              ENDIF
 
-             IF ( kk < 100 .AND. uv_heights(kk+1) /= 9999999.9_wp )  THEN
+             IF ( kk < 100  .AND.  uv_heights(kk+1) /= 9999999.9_wp )  THEN
                 u_init(k) = u_profile(kk) + ( zu(k) - uv_heights(kk) ) /       &
                                        ( uv_heights(kk+1) - uv_heights(kk) ) * &
@@ -1444,15 +1453,15 @@
 !
 !--    Compute initial temperature profile using the given temperature gradients
-       IF ( .NOT. neutral )  THEN
+       IF (  .NOT.  neutral )  THEN
 
           i = 1
           gradient = 0.0_wp
 
-          IF ( .NOT. ocean )  THEN
+          IF (  .NOT.  ocean )  THEN
 
              pt_vertical_gradient_level_ind(1) = 0
              DO  k = 1, nzt+1
-                IF ( i < 11 ) THEN
-                   IF ( pt_vertical_gradient_level(i) < zu(k)  .AND. &
+                IF ( i < 11 )  THEN
+                   IF ( pt_vertical_gradient_level(i) < zu(k)  .AND.           &
                         pt_vertical_gradient_level(i) >= 0.0_wp )  THEN
                       gradient = pt_vertical_gradient(i) / 100.0_wp
@@ -1476,6 +1485,6 @@
              pt_vertical_gradient_level_ind(1) = nzt+1
              DO  k = nzt, 0, -1
-                IF ( i < 11 ) THEN
-                   IF ( pt_vertical_gradient_level(i) > zu(k)  .AND. &
+                IF ( i < 11 )  THEN
+                   IF ( pt_vertical_gradient_level(i) > zu(k)  .AND.           &
                         pt_vertical_gradient_level(i) <= 0.0_wp )  THEN
                       gradient = pt_vertical_gradient(i) / 100.0_wp
@@ -1533,6 +1542,6 @@
           q_vertical_gradient_level_ind(1) = 0
           DO  k = 1, nzt+1
-             IF ( i < 11 ) THEN
-                IF ( q_vertical_gradient_level(i) < zu(k)  .AND. &
+             IF ( i < 11 )  THEN
+                IF ( q_vertical_gradient_level(i) < zu(k)  .AND.               &
                      q_vertical_gradient_level(i) >= 0.0_wp )  THEN
                    gradient = q_vertical_gradient(i) / 100.0_wp
@@ -1579,6 +1588,6 @@
           sa_vertical_gradient_level_ind(1) = nzt+1
           DO  k = nzt, 0, -1
-             IF ( i < 11 ) THEN
-                IF ( sa_vertical_gradient_level(i) > zu(k)  .AND. &
+             IF ( i < 11 )  THEN
+                IF ( sa_vertical_gradient_level(i) > zu(k)  .AND.              &
                      sa_vertical_gradient_level(i) <= 0.0_wp )  THEN
                    gradient = sa_vertical_gradient(i) / 100.0_wp
@@ -1606,10 +1615,10 @@
 !
 !-- Check if the control parameter use_subsidence_tendencies is used correctly
-    IF ( use_subsidence_tendencies  .AND.  .NOT. large_scale_subsidence )  THEN
-       message_string = 'The usage of use_subsidence_tendencies ' // &
+    IF ( use_subsidence_tendencies  .AND.  .NOT.  large_scale_subsidence )  THEN
+       message_string = 'The usage of use_subsidence_tendencies ' //           &
                             'requires large_scale_subsidence = .T..'
        CALL message( 'check_parameters', 'PA0396', 1, 2, 0, 6, 0 )
     ELSEIF ( use_subsidence_tendencies  .AND.  .NOT. large_scale_forcing )  THEN
-       message_string = 'The usage of use_subsidence_tendencies ' // &
+       message_string = 'The usage of use_subsidence_tendencies ' //           &
                             'requires large_scale_forcing = .T..'
        CALL message( 'check_parameters', 'PA0397', 1, 2, 0, 6, 0 )
@@ -1619,6 +1628,6 @@
 !-- Initialize large scale subsidence if required
     If ( large_scale_subsidence )  THEN
-       IF ( subs_vertical_gradient_level(1) /= -9999999.9_wp .AND. &
-                                     .NOT. large_scale_forcing )  THEN
+       IF ( subs_vertical_gradient_level(1) /= -9999999.9_wp  .AND.            &
+                                     .NOT.  large_scale_forcing )  THEN
           CALL init_w_subsidence
        ENDIF
@@ -1627,15 +1636,15 @@
 !--    are read in from file LSF_DATA
 
-       IF ( subs_vertical_gradient_level(1) == -9999999.9_wp .AND. &
-                                     .NOT. large_scale_forcing )  THEN
-          message_string = 'There is no default large scale vertical ' // &
-                           'velocity profile set. Specify the subsidence ' // &
-                           'velocity profile via subs_vertical_gradient and ' // &
-                           'subs_vertical_gradient_level.'
+       IF ( subs_vertical_gradient_level(1) == -9999999.9_wp  .AND.            &
+            .NOT.  large_scale_forcing )  THEN
+          message_string = 'There is no default large scale vertical ' //      &
+                           'velocity profile set. Specify the subsidence ' //  &
+                           'velocity profile via subs_vertical_gradient ' //   &
+                           'and subs_vertical_gradient_level.'
           CALL message( 'check_parameters', 'PA0380', 1, 2, 0, 6, 0 )
        ENDIF
     ELSE
         IF ( subs_vertical_gradient_level(1) /= -9999999.9_wp )  THEN
-           message_string = 'Enable usage of large scale subsidence by ' // &
+           message_string = 'Enable usage of large scale subsidence by ' //    &
                             'setting large_scale_subsidence = .T..'
           CALL message( 'check_parameters', 'PA0381', 1, 2, 0, 6, 0 )
@@ -1659,5 +1668,5 @@
        vpt_reference = pt_reference * ( 1.0_wp + 0.61_wp * q_surface )
     ELSE
-       message_string = 'illegal value for reference_state: "' // &
+       message_string = 'illegal value for reference_state: "' //              &
                         TRIM( reference_state ) // '"'
        CALL message( 'check_parameters', 'PA0056', 1, 2, 0, 6, 0 )
@@ -1686,5 +1695,5 @@
     IF ( alpha_surface /= 0.0_wp )  THEN
        IF ( ABS( alpha_surface ) > 90.0_wp )  THEN
-          WRITE( message_string, * ) 'ABS( alpha_surface = ', alpha_surface, &
+          WRITE( message_string, * ) 'ABS( alpha_surface = ', alpha_surface,   &
                                      ' ) must be < 90.0'
           CALL message( 'check_parameters', 'PA0043', 1, 2, 0, 6, 0 )
@@ -1716,5 +1725,5 @@
           ENDIF
        ELSE
-          WRITE( message_string, * ) 'cfl_factor = ', cfl_factor, &
+          WRITE( message_string, * ) 'cfl_factor = ', cfl_factor,              &
                  ' out of range & 0.0 < cfl_factor <= 1.0 is required'
           CALL message( 'check_parameters', 'PA0045', 1, 2, 0, 6, 0 )
@@ -1740,26 +1749,26 @@
 !-- Set wind speed in the Galilei-transformed system
     IF ( galilei_transformation )  THEN
-       IF ( use_ug_for_galilei_tr .AND.                     &
-            ug_vertical_gradient_level(1) == 0.0_wp  .AND.  &
-            ug_vertical_gradient(1) == 0.0_wp  .AND.        & 
-            vg_vertical_gradient_level(1) == 0.0_wp  .AND.  &
+       IF ( use_ug_for_galilei_tr                    .AND.                     &
+            ug_vertical_gradient_level(1) == 0.0_wp  .AND.                     &
+            ug_vertical_gradient(1) == 0.0_wp        .AND.                     & 
+            vg_vertical_gradient_level(1) == 0.0_wp  .AND.                     &
             vg_vertical_gradient(1) == 0.0_wp )  THEN
           u_gtrans = ug_surface * 0.6_wp
           v_gtrans = vg_surface * 0.6_wp
-       ELSEIF ( use_ug_for_galilei_tr  .AND.                     &
-                ( ug_vertical_gradient_level(1) /= 0.0_wp  .OR.  &
+       ELSEIF ( use_ug_for_galilei_tr  .AND.                                   &
+                ( ug_vertical_gradient_level(1) /= 0.0_wp  .OR.                &
                 ug_vertical_gradient(1) /= 0.0_wp ) )  THEN
-          message_string = 'baroclinity (ug) not allowed simultaneously' // &
+          message_string = 'baroclinity (ug) not allowed simultaneously' //    &
                            ' with galilei transformation'
           CALL message( 'check_parameters', 'PA0046', 1, 2, 0, 6, 0 )
-       ELSEIF ( use_ug_for_galilei_tr  .AND.                     &
-                ( vg_vertical_gradient_level(1) /= 0.0_wp  .OR.  &
+       ELSEIF ( use_ug_for_galilei_tr  .AND.                                   &
+                ( vg_vertical_gradient_level(1) /= 0.0_wp  .OR.                &
                 vg_vertical_gradient(1) /= 0.0_wp ) )  THEN
-          message_string = 'baroclinity (vg) not allowed simultaneously' // &
+          message_string = 'baroclinity (vg) not allowed simultaneously' //    &
                            ' with galilei transformation'
           CALL message( 'check_parameters', 'PA0047', 1, 2, 0, 6, 0 )
        ELSE
-          message_string = 'variable translation speed used for galilei-' // &
-             'transformation, which may cause & instabilities in stably ' // &
+          message_string = 'variable translation speed used for galilei-' //   &
+             'transformation, which may cause & instabilities in stably ' //   &
              'stratified regions'
           CALL message( 'check_parameters', 'PA0048', 0, 1, 0, 6, 0 )
@@ -1782,27 +1791,27 @@
     IF ( bc_lr /= 'cyclic'  .OR.  bc_ns /= 'cyclic' )  THEN
        IF ( psolver(1:9) /= 'multigrid' )  THEN
-          message_string = 'non-cyclic lateral boundaries do not allow ' // &
+          message_string = 'non-cyclic lateral boundaries do not allow ' //    &
                            'psolver = "' // TRIM( psolver ) // '"'
           CALL message( 'check_parameters', 'PA0051', 1, 2, 0, 6, 0 )
        ENDIF
-       IF ( momentum_advec /= 'pw-scheme' .AND.                               &
-          ( momentum_advec /= 'ws-scheme' .AND.                               &
-            momentum_advec /= 'ws-scheme-mono' )                              &
+       IF ( momentum_advec /= 'pw-scheme'  .AND.                               &
+          ( momentum_advec /= 'ws-scheme'  .AND.                               &
+            momentum_advec /= 'ws-scheme-mono' )                               &
           )  THEN
 
-          message_string = 'non-cyclic lateral boundaries do not allow ' // &
+          message_string = 'non-cyclic lateral boundaries do not allow ' //    &
                            'momentum_advec = "' // TRIM( momentum_advec ) // '"'
           CALL message( 'check_parameters', 'PA0052', 1, 2, 0, 6, 0 )
        ENDIF
-       IF ( scalar_advec /= 'pw-scheme' .AND.                                  &
-          ( scalar_advec /= 'ws-scheme' .AND.                                  &
+       IF ( scalar_advec /= 'pw-scheme'  .AND.                                 &
+          ( scalar_advec /= 'ws-scheme'  .AND.                                 &
             scalar_advec /= 'ws-scheme-mono' )                                 &
           )  THEN
-          message_string = 'non-cyclic lateral boundaries do not allow ' // &
+          message_string = 'non-cyclic lateral boundaries do not allow ' //    &
                            'scalar_advec = "' // TRIM( scalar_advec ) // '"'
           CALL message( 'check_parameters', 'PA0053', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( galilei_transformation )  THEN
-          message_string = 'non-cyclic lateral boundaries do not allow ' // &
+          message_string = 'non-cyclic lateral boundaries do not allow ' //    &
                            'galilei_transformation = .T.'
           CALL message( 'check_parameters', 'PA0054', 1, 2, 0, 6, 0 )
@@ -1819,10 +1828,10 @@
           bc_e_b = 'neumann'
           ibc_e_b = 1
-          message_string = 'boundary condition bc_e_b changed to "' // &
+          message_string = 'boundary condition bc_e_b changed to "' //         &
                            TRIM( bc_e_b ) // '"'
           CALL message( 'check_parameters', 'PA0057', 0, 1, 0, 6, 0 )
        ENDIF
     ELSE
-       message_string = 'unknown boundary condition: bc_e_b = "' // &
+       message_string = 'unknown boundary condition: bc_e_b = "' //            &
                         TRIM( bc_e_b ) // '"'
        CALL message( 'check_parameters', 'PA0058', 1, 2, 0, 6, 0 )
@@ -1836,5 +1845,5 @@
        ibc_p_b = 1
     ELSE
-       message_string = 'unknown boundary condition: bc_p_b = "' // &
+       message_string = 'unknown boundary condition: bc_p_b = "' //            &
                         TRIM( bc_p_b ) // '"'
        CALL message( 'check_parameters', 'PA0059', 1, 2, 0, 6, 0 )
@@ -1847,5 +1856,5 @@
        ibc_p_t = 1
     ELSE
-       message_string = 'unknown boundary condition: bc_p_t = "' // &
+       message_string = 'unknown boundary condition: bc_p_t = "' //            &
                         TRIM( bc_p_t ) // '"'
        CALL message( 'check_parameters', 'PA0061', 1, 2, 0, 6, 0 )
@@ -1862,5 +1871,5 @@
           ibc_pt_b = 1
        ELSE
-          message_string = 'unknown boundary condition: bc_pt_b = "' // &
+          message_string = 'unknown boundary condition: bc_pt_b = "' //        &
                            TRIM( bc_pt_b ) // '"'
           CALL message( 'check_parameters', 'PA0062', 1, 2, 0, 6, 0 )
@@ -1877,5 +1886,5 @@
        ibc_pt_t = 3
     ELSE
-       message_string = 'unknown boundary condition: bc_pt_t = "' // &
+       message_string = 'unknown boundary condition: bc_pt_t = "' //           &
                         TRIM( bc_pt_t ) // '"'
        CALL message( 'check_parameters', 'PA0063', 1, 2, 0, 6, 0 )
@@ -1889,6 +1898,6 @@
           ELSEIF ( ibc_pt_b == 1 )  THEN
              constant_heatflux = .TRUE.
-             IF ( TRIM( initializing_actions ) /= 'read_restart_data' .AND.    &
-                  .NOT. land_surface )  THEN
+             IF ( TRIM( initializing_actions ) /= 'read_restart_data'  .AND.   &
+                  .NOT.  land_surface )  THEN
                 surface_heatflux = shf_surf(1)
              ELSE
@@ -1899,6 +1908,6 @@
     ELSE
         constant_heatflux = .TRUE.
-        IF ( TRIM( initializing_actions ) /= 'read_restart_data' .AND.         &
-             large_scale_forcing .AND. .NOT. land_surface )  THEN
+        IF ( TRIM( initializing_actions ) /= 'read_restart_data'  .AND.        &
+             large_scale_forcing  .AND.  .NOT.  land_surface )  THEN
            surface_heatflux = shf_surf(1)
         ENDIF
@@ -1909,5 +1918,11 @@
     IF ( neutral )  THEN
 
-       IF ( surface_heatflux /= 0.0_wp  .AND. surface_heatflux /= 9999999.9_wp ) &
+       IF ( surface_heatflux /= 0.0_wp  .AND.                                  &
+            surface_heatflux /= 9999999.9_wp )  THEN
+          message_string = 'heatflux must not be set for pure neutral flow'
+          CALL message( 'check_parameters', 'PA0351', 1, 2, 0, 6, 0 )
+       ENDIF
+
+       IF ( top_heatflux /= 0.0_wp  .AND.  top_heatflux /= 9999999.9_wp )      &
        THEN
           message_string = 'heatflux must not be set for pure neutral flow'
@@ -1915,18 +1930,12 @@
        ENDIF
 
-       IF ( top_heatflux /= 0.0_wp  .AND.  top_heatflux /= 9999999.9_wp ) &
-       THEN
-          message_string = 'heatflux must not be set for pure neutral flow'
-          CALL message( 'check_parameters', 'PA0351', 1, 2, 0, 6, 0 )
-       ENDIF
-
-    ENDIF
-
-    IF ( top_momentumflux_u /= 9999999.9_wp  .AND.  &
+    ENDIF
+
+    IF ( top_momentumflux_u /= 9999999.9_wp  .AND.                             &
          top_momentumflux_v /= 9999999.9_wp )  THEN
        constant_top_momentumflux = .TRUE.
-    ELSEIF (  .NOT. ( top_momentumflux_u == 9999999.9_wp  .AND.  &
+    ELSEIF (  .NOT. ( top_momentumflux_u == 9999999.9_wp  .AND.                &
            top_momentumflux_v == 9999999.9_wp ) )  THEN
-       message_string = 'both, top_momentumflux_u AND top_momentumflux_v ' // &
+       message_string = 'both, top_momentumflux_u AND top_momentumflux_v ' //  &
                         'must be set'
        CALL message( 'check_parameters', 'PA0064', 1, 2, 0, 6, 0 )
@@ -1937,5 +1946,5 @@
 !-- temperature. In this case specification of a constant heat flux is
 !-- forbidden.
-    IF ( ibc_pt_b == 0  .AND.   constant_heatflux  .AND. &
+    IF ( ibc_pt_b == 0  .AND.  constant_heatflux  .AND.                        &
          surface_heatflux /= 0.0_wp )  THEN
        message_string = 'boundary_condition: bc_pt_b = "' // TRIM( bc_pt_b ) //&
@@ -1944,6 +1953,6 @@
     ENDIF
     IF ( constant_heatflux  .AND.  pt_surface_initial_change /= 0.0_wp )  THEN
-       WRITE ( message_string, * )  'constant_heatflux = .TRUE. is not allo', &
-               'wed with pt_surface_initial_change (/=0) = ', &
+       WRITE ( message_string, * )  'constant_heatflux = .TRUE. is not allo',  &
+               'wed with pt_surface_initial_change (/=0) = ',                  &
                pt_surface_initial_change
        CALL message( 'check_parameters', 'PA0066', 1, 2, 0, 6, 0 )
@@ -1954,5 +1963,5 @@
 !-- temperature. In this case specification of a constant heat flux is
 !-- forbidden.
-    IF ( ibc_pt_t == 0  .AND.   constant_top_heatflux  .AND. &
+    IF ( ibc_pt_t == 0  .AND.  constant_top_heatflux  .AND.                    &
          top_heatflux /= 0.0_wp )  THEN
        message_string = 'boundary_condition: bc_pt_t = "' // TRIM( bc_pt_t ) //&
@@ -1969,5 +1978,5 @@
           ibc_sa_t = 1
        ELSE
-          message_string = 'unknown boundary condition: bc_sa_t = "' // &
+          message_string = 'unknown boundary condition: bc_sa_t = "' //        &
                            TRIM( bc_sa_t ) // '"'
           CALL message( 'check_parameters', 'PA0068', 1, 2, 0, 6, 0 )
@@ -1975,7 +1984,7 @@
 
        IF ( top_salinityflux == 9999999.9_wp )  constant_top_salinityflux = .FALSE.
-       IF ( ibc_sa_t == 1  .AND.   top_salinityflux == 9999999.9_wp )  THEN
-          message_string = 'boundary condition: bc_sa_t = "' // &
-                           TRIM( bc_sa_t ) // '" requires to set ' // &
+       IF ( ibc_sa_t == 1  .AND.  top_salinityflux == 9999999.9_wp )  THEN
+          message_string = 'boundary condition: bc_sa_t = "' //                &
+                           TRIM( bc_sa_t ) // '" requires to set ' //          &
                            'top_salinityflux'
           CALL message( 'check_parameters', 'PA0069', 1, 2, 0, 6, 0 )
@@ -1986,8 +1995,8 @@
 !--    salinity. In this case specification of a constant salinity flux is
 !--    forbidden.
-       IF ( ibc_sa_t == 0  .AND.   constant_top_salinityflux  .AND. &
+       IF ( ibc_sa_t == 0  .AND.  constant_top_salinityflux  .AND.             &
             top_salinityflux /= 0.0_wp )  THEN
-          message_string = 'boundary condition: bc_sa_t = "' // &
-                           TRIM( bc_sa_t ) // '" is not allowed with ' // &
+          message_string = 'boundary condition: bc_sa_t = "' //                &
+                           TRIM( bc_sa_t ) // '" is not allowed with ' //      &
                            'constant_top_salinityflux = .TRUE.'
           CALL message( 'check_parameters', 'PA0070', 1, 2, 0, 6, 0 )
@@ -2010,5 +2019,5 @@
           ibc_q_b = 1
        ELSE
-          message_string = 'unknown boundary condition: bc_' // TRIM( sq ) // &
+          message_string = 'unknown boundary condition: bc_' // TRIM( sq ) //  &
                            '_b ="' // TRIM( bc_q_b ) // '"'
           CALL message( 'check_parameters', 'PA0071', 1, 2, 0, 6, 0 )
@@ -2021,5 +2030,5 @@
           ibc_q_t = 3
        ELSE
-          message_string = 'unknown boundary condition: bc_' // TRIM( sq ) // &
+          message_string = 'unknown boundary condition: bc_' // TRIM( sq ) //  &
                            '_t ="' // TRIM( bc_q_t ) // '"'
           CALL message( 'check_parameters', 'PA0072', 1, 2, 0, 6, 0 )
@@ -2040,6 +2049,6 @@
        ELSE
           constant_waterflux = .TRUE.
-          IF ( TRIM( initializing_actions ) /= 'read_restart_data' .AND. &
-                 large_scale_forcing ) THEN
+          IF ( TRIM( initializing_actions ) /= 'read_restart_data'  .AND.      &
+               large_scale_forcing )  THEN
              surface_waterflux = qsws_surf(1)
           ENDIF
@@ -2058,5 +2067,5 @@
        IF ( constant_waterflux  .AND.  q_surface_initial_change /= 0.0_wp )  THEN
           WRITE( message_string, * )  'a prescribed surface flux is not allo', &
-                 'wed with ', sq, '_surface_initial_change (/=0) = ', &
+                 'wed with ', sq, '_surface_initial_change (/=0) = ',          &
                  q_surface_initial_change
           CALL message( 'check_parameters', 'PA0074', 1, 2, 0, 6, 0 )
@@ -2071,5 +2080,5 @@
        ibc_uv_b = 1
        IF ( constant_flux_layer )  THEN
-          message_string = 'boundary condition: bc_uv_b = "' // &
+          message_string = 'boundary condition: bc_uv_b = "' //                &
                TRIM( bc_uv_b ) // '" is not allowed with constant_flux_layer'  &
                // ' = .TRUE.'
@@ -2077,5 +2086,5 @@
        ENDIF
     ELSE
-       message_string = 'unknown boundary condition: bc_uv_b = "' // &
+       message_string = 'unknown boundary condition: bc_uv_b = "' //           &
                         TRIM( bc_uv_b ) // '"'
        CALL message( 'check_parameters', 'PA0076', 1, 2, 0, 6, 0 )
@@ -2106,5 +2115,5 @@
           ibc_uv_t = 3
        ELSE
-          message_string = 'unknown boundary condition: bc_uv_t = "' // &
+          message_string = 'unknown boundary condition: bc_uv_t = "' //        &
                            TRIM( bc_uv_t ) // '"'
           CALL message( 'check_parameters', 'PA0077', 1, 2, 0, 6, 0 )
@@ -2117,7 +2126,7 @@
        rayleigh_damping_factor = 0.0_wp
     ELSE
-       IF ( rayleigh_damping_factor < 0.0_wp .OR. rayleigh_damping_factor > 1.0_wp ) &
-       THEN
-          WRITE( message_string, * )  'rayleigh_damping_factor = ', &
+       IF ( rayleigh_damping_factor < 0.0_wp  .OR.                             &
+            rayleigh_damping_factor > 1.0_wp )  THEN
+          WRITE( message_string, * )  'rayleigh_damping_factor = ',            &
                               rayleigh_damping_factor, ' out of range [0.0,1.0]'
           CALL message( 'check_parameters', 'PA0078', 1, 2, 0, 6, 0 )
@@ -2126,5 +2135,5 @@
 
     IF ( rayleigh_damping_height == -1.0_wp )  THEN
-       IF ( .NOT. ocean )  THEN
+       IF (  .NOT.  ocean )  THEN
           rayleigh_damping_height = 0.66666666666_wp * zu(nzt)
        ELSE
@@ -2132,15 +2141,15 @@
        ENDIF
     ELSE
-       IF ( .NOT. ocean )  THEN
-          IF ( rayleigh_damping_height < 0.0_wp  .OR. &
+       IF (  .NOT.  ocean )  THEN
+          IF ( rayleigh_damping_height < 0.0_wp  .OR.                          &
                rayleigh_damping_height > zu(nzt) )  THEN
-             WRITE( message_string, * )  'rayleigh_damping_height = ', &
+             WRITE( message_string, * )  'rayleigh_damping_height = ',         &
                    rayleigh_damping_height, ' out of range [0.0,', zu(nzt), ']'
              CALL message( 'check_parameters', 'PA0079', 1, 2, 0, 6, 0 )
           ENDIF
        ELSE
-          IF ( rayleigh_damping_height > 0.0_wp  .OR. &
+          IF ( rayleigh_damping_height > 0.0_wp  .OR.                          &
                rayleigh_damping_height < zu(nzb) )  THEN
-             WRITE( message_string, * )  'rayleigh_damping_height = ', &
+             WRITE( message_string, * )  'rayleigh_damping_height = ',         &
                    rayleigh_damping_height, ' out of range [0.0,', zu(nzb), ']'
              CALL message( 'check_parameters', 'PA0079', 1, 2, 0, 6, 0 )
@@ -2154,11 +2163,11 @@
 !-- be opened (cf. check_open)
     IF ( statistic_regions > 9  .OR.  statistic_regions < 0 )  THEN
-       WRITE ( message_string, * ) 'number of statistic_regions = ', &
+       WRITE ( message_string, * ) 'number of statistic_regions = ',           &
                    statistic_regions+1, ' but only 10 regions are allowed'
        CALL message( 'check_parameters', 'PA0082', 1, 2, 0, 6, 0 )
     ENDIF
-    IF ( normalizing_region > statistic_regions  .OR. &
+    IF ( normalizing_region > statistic_regions  .OR.                          &
          normalizing_region < 0)  THEN
-       WRITE ( message_string, * ) 'normalizing_region = ', &
+       WRITE ( message_string, * ) 'normalizing_region = ',                    &
                 normalizing_region, ' must be >= 0 and <= ',statistic_regions, &
                 ' (value of statistic_regions)'
@@ -2184,20 +2193,20 @@
 !
 !-- Set the default skip time intervals for data output, if necessary
-    IF ( skip_time_dopr    == 9999999.9_wp ) &
+    IF ( skip_time_dopr    == 9999999.9_wp )                                   &
                                        skip_time_dopr    = skip_time_data_output
-    IF ( skip_time_dosp    == 9999999.9_wp ) &
+    IF ( skip_time_dosp    == 9999999.9_wp )                                   &
                                        skip_time_dosp    = skip_time_data_output
-    IF ( skip_time_do2d_xy == 9999999.9_wp ) &
+    IF ( skip_time_do2d_xy == 9999999.9_wp )                                   &
                                        skip_time_do2d_xy = skip_time_data_output
-    IF ( skip_time_do2d_xz == 9999999.9_wp ) &
+    IF ( skip_time_do2d_xz == 9999999.9_wp )                                   &
                                        skip_time_do2d_xz = skip_time_data_output
-    IF ( skip_time_do2d_yz == 9999999.9_wp ) &
+    IF ( skip_time_do2d_yz == 9999999.9_wp )                                   &
                                        skip_time_do2d_yz = skip_time_data_output
-    IF ( skip_time_do3d    == 9999999.9_wp ) &
+    IF ( skip_time_do3d    == 9999999.9_wp )                                   &
                                        skip_time_do3d    = skip_time_data_output
-    IF ( skip_time_data_output_av == 9999999.9_wp ) &
+    IF ( skip_time_data_output_av == 9999999.9_wp )                            &
                                 skip_time_data_output_av = skip_time_data_output
     DO  mid = 1, max_masks
-       IF ( skip_time_domask(mid) == 9999999.9_wp ) &
+       IF ( skip_time_domask(mid) == 9999999.9_wp )                            &
                                 skip_time_domask(mid)    = skip_time_data_output
     ENDDO
@@ -2207,5 +2216,5 @@
 !-- spectra)
     IF ( averaging_interval > dt_data_output_av )  THEN
-       WRITE( message_string, * )  'averaging_interval = ', &
+       WRITE( message_string, * )  'averaging_interval = ',                    &
              averaging_interval, ' must be <= dt_data_output = ', dt_data_output
        CALL message( 'check_parameters', 'PA0085', 1, 2, 0, 6, 0 )
@@ -2217,5 +2226,5 @@
 
     IF ( averaging_interval_pr > dt_dopr )  THEN
-       WRITE( message_string, * )  'averaging_interval_pr = ', &
+       WRITE( message_string, * )  'averaging_interval_pr = ',                 &
              averaging_interval_pr, ' must be <= dt_dopr = ', dt_dopr
        CALL message( 'check_parameters', 'PA0086', 1, 2, 0, 6, 0 )
@@ -2227,5 +2236,5 @@
 
     IF ( averaging_interval_sp > dt_dosp )  THEN
-       WRITE( message_string, * )  'averaging_interval_sp = ', &
+       WRITE( message_string, * )  'averaging_interval_sp = ',                 &
              averaging_interval_sp, ' must be <= dt_dosp = ', dt_dosp
        CALL message( 'check_parameters', 'PA0087', 1, 2, 0, 6, 0 )
@@ -2252,6 +2261,6 @@
 !-- Check the sample rate for averaging (first for 3d-data, then for profiles)
     IF ( dt_averaging_input > averaging_interval )  THEN
-       WRITE( message_string, * )  'dt_averaging_input = ', &
-                dt_averaging_input, ' must be <= averaging_interval = ', &
+       WRITE( message_string, * )  'dt_averaging_input = ',                    &
+                dt_averaging_input, ' must be <= averaging_interval = ',       &
                 averaging_interval
        CALL message( 'check_parameters', 'PA0088', 1, 2, 0, 6, 0 )
@@ -2259,5 +2268,5 @@
 
     IF ( dt_averaging_input_pr > averaging_interval_pr )  THEN
-       WRITE( message_string, * )  'dt_averaging_input_pr = ', &
+       WRITE( message_string, * )  'dt_averaging_input_pr = ',                 &
                 dt_averaging_input_pr, ' must be <= averaging_interval_pr = ', &
                 averaging_interval_pr
@@ -2272,6 +2281,6 @@
        ELSE
           IF ( precipitation_amount_interval > dt_do2d_xy )  THEN
-             WRITE( message_string, * )  'precipitation_amount_interval = ', &
-                 precipitation_amount_interval, ' must not be larger than ', &
+             WRITE( message_string, * )  'precipitation_amount_interval = ',   &
+                 precipitation_amount_interval, ' must not be larger than ',   &
                  'dt_do2d_xy = ', dt_do2d_xy
              CALL message( 'check_parameters', 'PA0090', 1, 2, 0, 6, 0 )
@@ -2532,5 +2541,5 @@
           CASE ( 's', '#s' )
              IF ( .NOT. passive_scalar )  THEN
-                message_string = 'data_output_pr = ' // &
+                message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for passive_scalar = .FALSE.'
@@ -2573,5 +2582,5 @@
           CASE ( 'lpt', '#lpt' )
              IF ( .NOT. cloud_physics ) THEN
-                message_string = 'data_output_pr = ' // &
+                message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for cloud_physics = .FALSE.'
@@ -2616,6 +2625,6 @@
 
           CASE ( 'w"q"' )
-             IF ( .NOT. humidity )  THEN
-                message_string = 'data_output_pr = ' // &
+             IF (  .NOT.  humidity )  THEN
+                message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for humidity = .FALSE.'
@@ -2628,6 +2637,6 @@
 
           CASE ( 'w*q*' )
-             IF ( .NOT. humidity )  THEN
-                message_string = 'data_output_pr = ' // &
+             IF (  .NOT.  humidity )  THEN
+                message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for humidity = .FALSE.'
@@ -2640,6 +2649,6 @@
 
           CASE ( 'wq' )
-             IF ( .NOT. humidity )  THEN
-                message_string = 'data_output_pr = ' // &
+             IF (  .NOT.  humidity )  THEN
+                message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for humidity = .FALSE.'
